https://dagster.io/ logo
#ask-community
Title
# ask-community
g

George Pearse

02/21/2022, 2:00 PM
I'm receiving this error on the UI:
Copy code
Operation name: PreviewConfigQuery

Message: Expecting value: line 1 column 1 (char 0)

Path: ["isPipelineConfigValid"]

Locations: [{"line":2,"column":3}]
And this in the dagit logs:
Copy code
docker_dev_dagster_dagit        | Task exception was never retrieved
docker_dev_dagster_dagit        | future: <Task finished coro=<_handle_async_results() done, defined at /usr/local/lib/python3.7/site-packages/dagit/graphql.py:231> exception=RuntimeError("Unexpected ASGI message 'websocket.send', after sending 'websocket.close'.")>
docker_dev_dagster_dagit        | Traceback (most recent call last):
docker_dev_dagster_dagit        |   File "/usr/local/lib/python3.7/site-packages/dagit/graphql.py", line 233, in _handle_async_results
docker_dev_dagster_dagit        |     async for result in results:
docker_dev_dagster_dagit        |   File "/usr/local/lib/python3.7/site-packages/dagit/graphql.py", line 288, in async_gen
docker_dev_dagster_dagit        |     i = await queue.get()
docker_dev_dagster_dagit        |   File "/usr/local/lib/python3.7/asyncio/queues.py", line 159, in get
docker_dev_dagster_dagit        |     await getter
docker_dev_dagster_dagit        | concurrent.futures._base.CancelledError
docker_dev_dagster_dagit        | 
docker_dev_dagster_dagit        | During handling of the above exception, another exception occurred:
docker_dev_dagster_dagit        | 
docker_dev_dagster_dagit        | Traceback (most recent call last):
docker_dev_dagster_dagit        |   File "/usr/local/lib/python3.7/site-packages/dagit/graphql.py", line 248, in _handle_async_results
docker_dev_dagster_dagit        |     operation_id,
docker_dev_dagster_dagit        |   File "/usr/local/lib/python3.7/site-packages/dagit/graphql.py", line 269, in _send_message
docker_dev_dagster_dagit        |     return await websocket.send_json(data)
docker_dev_dagster_dagit        |   File "/usr/local/lib/python3.7/site-packages/starlette/websockets.py", line 146, in send_json
docker_dev_dagster_dagit        |     await self.send({"type": "websocket.send", "text": text})
docker_dev_dagster_dagit        |   File "/usr/local/lib/python3.7/site-packages/starlette/websockets.py", line 69, in send
docker_dev_dagster_dagit        |     await self._send(message)
docker_dev_dagster_dagit        |   File "/usr/local/lib/python3.7/site-packages/uvicorn/protocols/websockets/websockets_impl.py", line 269, in asgi_send
docker_dev_dagster_dagit        |     raise RuntimeError(msg % message_type)
docker_dev_dagster_dagit        | RuntimeError: Unexpected ASGI message 'websocket.send', after sending 'websocket.close'.
I think both relate to config validation because that's where I'm experiencing inconsistent behaviour (sometimes the config yaml is displayed in the launchpad, sometimes it is not, despite identical coding patterns as far as I'm concerned). I'm using 0.14.1, any thoughts on how to resolve? Not a major issue.
a

alex

02/22/2022, 6:25 PM
can you reproduce in an in-cognito tab or after clearing local storage in your browser? The tabs in the launchpad attempt to retain state between sessions, and its possible the issue is in that.
h

Hamza Liaqat

02/24/2022, 11:51 AM
• I also faced this error on upgrading to
0.14.1
from
0.13.13
in 'docker-compose' (running locally). I upgraded because I was facing that markupsafe dependency issue. • To fix that error, for now, I've resorted to keep using
0.13.13
while adding
markupsafe<=2.0.1
in my 'requirements_dagster.txt' for 'docker-compose'. --- • For upgrading to
0.14.1
, I simply changed
dagster==0.13.13
, to
dagster==0.14.1
in my requirements file (then docker-compose build/up). Not sure if there were any additional steps to follow. With
0.14.1
, my dagster jobs seemed to run normally yet in logs I saw that error.
j

Jori Geysen

05/03/2022, 3:58 PM
Have you solved your problem in the end @George Pearse? I'm seeing exactly the same error in my dagit logs. Thanks.
j

Jing Zhang

05/10/2022, 8:23 PM
I have similar issues in my dagit logs...The jobs still run but these errors are flooding the log monitors. Has anyone figured out a solution for this? Thanks.
g

George Pearse

05/11/2022, 8:01 PM
I'm in the same position as @Jing Zhang things still worked so I ended up ignoring it
a

alex

05/11/2022, 8:15 PM
fix going out this week that should stop the
RuntimeError: Unexpected ASGI message 'websocket.send', after sending 'websocket.close'.
spam
❤️ 2
g

George Pearse

05/13/2022, 12:30 PM
Do you know if it made it out in the 0.14.15 release?
g

George Pearse

05/13/2022, 3:59 PM
Nope, all gone now, thanks a lot for your work!
dagsir 1
j

Jing Zhang

05/13/2022, 4:01 PM
Oh cool going to update later. Thank you Alex @alex 😄
dagsir 1